Loading...
Searching...
No Matches
dijkstra.h File Reference
Algorithms » Shortest Path Algorithms
`#include <limits>`
`#include <lemon/list_graph.h>`
`#include <lemon/bin_heap.h>`
`#include <lemon/bits/path_dump.h>`
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/maps.h>`
`#include <lemon/path.h>`

## Classes

struct | DijkstraDefaultOperationTraits< V >
| Default operation traits for the Dijkstra algorithm class. More...
struct | DijkstraDefaultTraits< GR, LEN >
| Default traits class of Dijkstra class. More...
class | Dijkstra< GR, LEN, TR >
| Dijkstra algorithm class. More...
struct | Dijkstra< GR, LEN, TR >::SetPredMap< T >
| Named parameter for setting More...
struct | Dijkstra< GR, LEN, TR >::SetDistMap< T >
| Named parameter for setting More...
struct | Dijkstra< GR, LEN, TR >::SetProcessedMap< T >
| Named parameter for setting More...
struct | Dijkstra< GR, LEN, TR >::SetStandardProcessedMap
| Named parameter for setting More...
struct | Dijkstra< GR, LEN, TR >::SetHeap< H, CR >
| Named parameter for setting heap and cross reference types More...
struct | Dijkstra< GR, LEN, TR >::SetStandardHeap< H, CR >
| Named parameter for setting heap and cross reference types with automatic allocation More...
struct | Dijkstra< GR, LEN, TR >::SetOperationTraits< T >
| Named parameter for setting More...
struct | DijkstraWizardDefaultTraits< GR, LEN >
| Default traits class of dijkstra() function. More...
class | DijkstraWizardBase< GR, LEN >
| Default traits class used by DijkstraWizard. More...
class | DijkstraWizard< TR >
| Auxiliary class for the function-type interface of Dijkstra algorithm. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<typename GR, typename LEN>
DijkstraWizard< DijkstraWizardBase< GR, LEN > > | dijkstra (const GR &digraph, const LEN &length)
| Function-type interface for Dijkstra algorithm.